<!DOCTYPE html>
<html lang="pl-PL">
<%- include('../partials/_head.ejs') %>
<body>
  <style>
    #submitButton {
      padding: 10px;
      width: 140px;
      background-color: transparent;
      color: #0984e3;
      border-radius: 25px;
      text-decoration: none;
      border: 1px solid #0984e3;
      transition: 0.2s ease-in-out;
    }
    #submitButton:hover {
      background-color: #0984e3;
      color: azure;
    }
  </style>
<%- include('../partials/_header.ejs') %>
<main role="main" class="container mt-4">
  <h2>Edytuj zadanie</h2>
  <form action="/tasks/edit/<%= task._id %>" method="POST">
    <div class="mb-3">
      <label for="title" class="form-label">Tytuł</label>
      <input type="text" class="form-control" id="title" name="title" value="<%= task.title %>" required>
    </div>
    <div class="mb-3">
      <label for="description" class="form-label">Opis</label>
      <textarea class="form-control" id="description" name="description" rows="3" required><%= task.description %></textarea>
    </div>
    <div class="mb-3">
      <label for="priority" class="form-label">Priorytet</label>
      <select class="form-select" id="priority" name="priority" required>
        <option value="Low" <%= task.priority === 'Low' ? 'selected' : '' %>>Niski</option>
        <option value="Medium" <%= task.priority === 'Medium' ? 'selected' : '' %>>Średni</option>
        <option value="High" <%= task.priority === 'High' ? 'selected' : '' %>>Wysoki</option>
      </select>
    </div>
    <div class="mb-3">
      <label for="tags" class="form-label">Tagi (oddzielone przecinkiem)</label>
      <input type="text" class="form-control" id="tags" name="tags" value="<%= task.tags.join(', ') %>">
    </div>
    <div class="mb-3">
      <label for="duration" class="form-label">Czas trwania (w godzinach)</label>
      <input type="number" class="form-control" id="duration" name="duration" value="<%= task.duration %>" required>
    </div>
    <div class="mb-3">
      <label for="projectHandover" class="form-label">Data zakończenia audytu/projektu/usługi z umowy</label>
      <input type="date" class="form-control" id="projectHandover" name="projectHandover" value="<%= task.projectHandover ? task.projectHandover.toISOString().split('T')[0] : '' %>">
    </div>
    <div class="mb-3">
      <label for="notEarlierThan" class="form-label">Data rozpoczęcia realizacji audytu/projektu/usługi</label>
      <input type="date" class="form-control" id="notEarlierThan" name="notEarlierThan" value="<%= task.notEarlierThan ? task.notEarlierThan.toISOString().split('T')[0] : '' %>">
    </div>
    <% if (userRole === 'Admin' || userRole === 'Manager') { %>
      <div class="mb-3">
        <label for="assignedTo" class="form-label">Przypisz dla</label>
        <select class="form-select" id="assignedTo" name="assignedTo">
          <% users.forEach(function(user) { %>
            <option value="<%= user._id %>" <%= task.assignedTo.toString() === user._id.toString() ? 'selected' : '' %>><%= user.username %></option>
          <% }); %>
        </select>
      </div>
    <% } else { %>
      <input type="hidden" id="assignedTo" name="assignedTo" value="<%= task.assignedTo._id %>">
    <% } %>
    <div class="mb-3 form-check">
      <input type="checkbox" class="form-check-input" id="completed" name="completed" <%= task.completed ? 'checked' : '' %>>
      <label class="form-check-label" for="completed">Ukończone</label>
    </div>
    <button type="submit" class="btn btn-primary" id="submitButton">Zatwierdź</button>
  </form>
  <script>
    console.log("projectHandover:", "<%= task.projectHandover ? task.projectHandover.toISOString().split('T')[0] : 'undefined' %>");
    console.log("notEarlierThan:", "<%= task.notEarlierThan ? task.notEarlierThan.toISOString().split('T')[0] : 'undefined' %>");
  </script>
</main>
</body>
<%- include('../partials/_footer.ejs') %>
</html>
